# Uses of Interface
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.ServiceInterface3

Packages that use ServiceInterface3
Package
Description
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

## Uses of ServiceInterface3 in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

Classes in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that implement ServiceInterface3
Modifier and Type
Class
Description
`class`
`Service2`
`class`
`ServiceInterface3Impl`
`class`
`ServiceInterface3ImplSelfReferencing`
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that return ServiceInterface3
Modifier and Type
Method
Description
`ServiceInterface3`
ServiceInterface3ImplSelfReferencing.`getDefaultImplementation()`
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that return types with arguments of type ServiceInterface3
Modifier and Type
Method
Description
`List<ServiceInterface3>`
Service7ServiceVsSuperInterface.`getInterfaceBindList()`
`List<ServiceInterface3>`
Service7ServiceVsSuperInterface.`getInterfaceDirectList()`

## Uses of ServiceInterface3 in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

Classes in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate that implement ServiceInterface3
Modifier and Type
Class
Description
`class`
`Service8`